# Translate Dublin core meta (or other meta)

Below 2 examples of how you can translate Dublin core meta :

```php
// On this example we say weglot to translate meta who looks like this : <meta name="dc.title" content="my awesome title" />
add_filter( 'weglot_get_dom_checkers', 'dublin_core_weglot_dom_check' );
function dublin_core_weglot_dom_check( $dom_checkers  ) {
	class Dublin_Core_Meta extends Weglot\Parser\Check\Dom\AbstractDomChecker {
		const DOM       = 'meta[name="dc.title"]';
		const PROPERTY  = 'content';
		const WORD_TYPE = Weglot\Client\Api\Enum\WordType::META_CONTENT; 
	}
	$dom_checkers[] = '\Dublin_Core_Meta';
	return $dom_checkers ;
}

// If you want to translate several meta (dc.title and dc.description) :
add_filter( 'weglot_get_dom_checkers', 'dublin_core_weglot_dom_check' );
function dublin_core_weglot_dom_check( $dom_checkers  ) {
	class Dublin_Core_Meta extends Weglot\Parser\Check\Dom\AbstractDomChecker {
		const DOM       = 'meta[name="dc.title"],meta[name="dc.description"]';
		const PROPERTY  = 'content';
		const WORD_TYPE = Weglot\Client\Api\Enum\WordType::META_CONTENT; 
	}
	$dom_checkers[] = '\Dublin_Core_Meta';
	return $dom_checkers ;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.weglot.com/wordpress/use-cases/translate-dublin-core-meta-or-other-meta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
